Bug 620992 (CVE-2010-2802) - CVE-2010-2802 mantis: cross-domain scripting or other browser attacks via arbitrary inline attachment rendering
Summary: CVE-2010-2802 mantis: cross-domain scripting or other browser attacks via arb...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2010-2802
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 620993
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-03 22:13 UTC by Vincent Danen
Modified: 2019-09-29 12:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-04 15:20:13 UTC


Attachments (Terms of Use)

Description Vincent Danen 2010-08-03 22:13:34 UTC
A flaw was found in the way that the Mantis BTS handled attachments and MIME types.  A user could upload an HTML file renamed to a .gif and Mantis would calculate the actual MIME type of the file as text/html.  A user tricked into thinking they were clicking a .gif attachment would instead have the full HTML file rendered in the browser, rather than having it treated as a downloadable file or displayed in plain text.

References:

http://www.mantisbt.org/bugs/view.php?id=11952
http://www.mantisbt.org/blog/?p=113

This was corrected in upstream version 1.2.2 and affects current Fedora 12, 13, rawhide, and EPEL5.

Comment 1 Vincent Danen 2010-08-03 22:14:34 UTC
Created mantis tracking bugs for this issue

Affects: fedora-all [bug 620993]

Comment 2 Gianluca Sforna 2010-08-04 07:26:57 UTC
Hi Vincent, thanks for the report. It seems to me the flaw reported here affects 1.2.x versions. The version we are still shipping in all Fedora/EPEL branches (1.1.8) is not affected by the flaw.

Comment 3 Vincent Danen 2010-08-04 15:20:13 UTC
Ah yes, you're absolutely correct.  I missed the part in the blog post indicating it was 1.2.x.  Thanks for looking, I'll close this and the tracker then.


Note You need to log in before you can comment on or make changes to this bug.